Bug 908819 - [abrt] libreoffice-core-3.6.3.2-8.fc18: ~Exception -> __cxxabiv1::__cxa_pure_virtual: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 6 (SIGABRT)
Summary: [abrt] libreoffice-core-3.6.3.2-8.fc18: ~Exception -> __cxxabiv1::__cxa_pure_...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephan Bergmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:32f5d7c76d95cde1307d74451a3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-07 15:30 UTC by eric quemere
Modified: 2013-10-08 11:36 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-10-08 11:36:15 UTC


Attachments (Terms of Use)
File: backtrace (20.15 KB, text/plain)
2013-02-07 15:30 UTC, eric quemere
no flags Details
File: cgroup (134 bytes, text/plain)
2013-02-07 15:31 UTC, eric quemere
no flags Details
File: core_backtrace (1.93 KB, text/plain)
2013-02-07 15:31 UTC, eric quemere
no flags Details
File: dso_list (11.88 KB, text/plain)
2013-02-07 15:31 UTC, eric quemere
no flags Details
File: environ (1.90 KB, text/plain)
2013-02-07 15:31 UTC, eric quemere
no flags Details
File: limits (1.29 KB, text/plain)
2013-02-07 15:31 UTC, eric quemere
no flags Details
File: maps (54.79 KB, text/plain)
2013-02-07 15:31 UTC, eric quemere
no flags Details
File: open_fds (320 bytes, text/plain)
2013-02-07 15:31 UTC, eric quemere
no flags Details
File: proc_pid_status (919 bytes, text/plain)
2013-02-07 15:31 UTC, eric quemere
no flags Details
File: var_log_messages (2.69 KB, text/plain)
2013-02-07 15:31 UTC, eric quemere
no flags Details

Description eric quemere 2013-02-07 15:30:50 UTC
Description of problem:
problème avec libreoffice 3.6 impossible a ouvrir :
(soffice:5227): GConf-WARNING **: Client failed to connect to the D-BUS daemon:
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
Avertissement GConf : le listage des paires dans « /apps/openoffice/lockdown » a échoué : Aucun service D-BUS en cours d'exécution

Version-Release number of selected component:
libreoffice-core-3.6.3.2-8.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --draw --splash-pipe=6
crash_function: __cxxabiv1::__cxa_pure_virtual
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.7.6-201.fc18.x86_64
remote_result:  NOTFOUND
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 __cxxabiv1::__cxa_pure_virtual at ../../../../libstdc++-v3/libsupc++/pure.cc:50
 #6 ~Reference at /usr/src/debug/libreoffice-3.6.3.2/solver/unxlngx6.pro/inc/com/sun/star/uno/Reference.hxx:117
 #7 ~Exception at /usr/src/debug/libreoffice-3.6.3.2/workdir/unxlngx6.pro/UnoApiHeadersTarget/udkapi/comprehensive/com/sun/star/uno/Exception.hpp:37
 #8 ~RuntimeException at /usr/src/debug/libreoffice-3.6.3.2/workdir/unxlngx6.pro/UnoApiHeadersTarget/udkapi/comprehensive/com/sun/star/uno/RuntimeException.hpp:30
 #9 com::sun::star::uno::DeploymentException::~DeploymentException at /usr/src/debug/libreoffice-3.6.3.2/workdir/unxlngx6.pro/UnoApiHeadersTarget/udkapi/comprehensive/com/sun/star/uno/DeploymentException.hpp:30
 #10 __gxx_exception_cleanup at ../../../../libstdc++-v3/libsupc++/eh_throw.cc:51
 #12 desktop::Desktop::Init at /usr/src/debug/libreoffice-3.6.3.2/desktop/source/app/app.cxx:597
 #13 InitVCL at /usr/src/debug/libreoffice-3.6.3.2/vcl/source/app/svmain.cxx:309
 #14 ImplSVMain at /usr/src/debug/libreoffice-3.6.3.2/vcl/source/app/svmain.cxx:177
 #15 SVMain at /usr/src/debug/libreoffice-3.6.3.2/vcl/source/app/svmain.cxx:220

Comment 1 eric quemere 2013-02-07 15:30:59 UTC
Created attachment 694553 [details]
File: backtrace

Comment 2 eric quemere 2013-02-07 15:31:07 UTC
Created attachment 694554 [details]
File: cgroup

Comment 3 eric quemere 2013-02-07 15:31:10 UTC
Created attachment 694555 [details]
File: core_backtrace

Comment 4 eric quemere 2013-02-07 15:31:13 UTC
Created attachment 694556 [details]
File: dso_list

Comment 5 eric quemere 2013-02-07 15:31:22 UTC
Created attachment 694557 [details]
File: environ

Comment 6 eric quemere 2013-02-07 15:31:24 UTC
Created attachment 694558 [details]
File: limits

Comment 7 eric quemere 2013-02-07 15:31:26 UTC
Created attachment 694559 [details]
File: maps

Comment 8 eric quemere 2013-02-07 15:31:28 UTC
Created attachment 694560 [details]
File: open_fds

Comment 9 eric quemere 2013-02-07 15:31:30 UTC
Created attachment 694561 [details]
File: proc_pid_status

Comment 10 eric quemere 2013-02-07 15:31:32 UTC
Created attachment 694562 [details]
File: var_log_messages

Comment 11 Caolan McNamara 2013-02-07 21:44:45 UTC
Is this reproducible, or did it happen once and never again ?

Comment 12 Bruce-Robert Pocock 2013-06-05 17:51:36 UTC
I appear to be having the same difficulty (“same” according to https://retrace.fedoraproject.org/faf/problems/244845/ ), and it's 100% of the time: at no time can I launch LibreOffice.

The splash dialog appears, then almost instantly dies.

Comment 13 Stephan Bergmann 2013-06-06 06:39:58 UTC
(In reply to Bruce-Robert Pocock from comment #12)
> The splash dialog appears, then almost instantly dies.

How exactly do you launch LibreOffice?

If you temporarily move away the LibreOffice user data ("mv ~/.config/libreoffice ~/.config/libreoffice-saved"), does it then work?  (It will create a new ~/.config/libreoffice then, that of course lacks any customization you might have done.  If this does solve the problem, it would be good if you can make available a tar of the original ~/.config/libreoffice-saved for inspection; either by attaching it here or sending it directly to me---it could contain mildly sensitive data like names of documents you had last opened or user-defined text shortcuts.)

Comment 14 Stephan Bergmann 2013-06-06 07:23:20 UTC
I think I understand now what causes the __cxa_pure_virtual abort, it is the same problem that got addressed in later incarnations of the relevant code with upstream <http://cgit.freedesktop.org/libreoffice/core/commit/?id=4e42ce3271154904b7478b9ed5e6e6856b9235c2> "Don't call code in UNO object ctor that throws UNO exceptions,"  With that backported appropriately, LibreOffice should no longer crash, but it will still refuse to start for you, hopefully displaying a more meaningful error message though.

Comment 15 Stephan Bergmann 2013-06-06 09:27:27 UTC
libreoffice-3.6.6.2-9.fc18 will contain a fix for the __cxa_pure_virtual abort as discussed in comment 14.  For anybody who experiences this crash now it should lead to a clean termination at launch of LibreOffice and a meaningful error message then.  This does not resolve the underlying problem (that LibreOffice does not start) of course, but it will hopefully give better information to eventually track that down.  So keeping this bug open for now.

Comment 16 Stephan Bergmann 2013-06-06 09:29:24 UTC
(The fix mentioned in comment 15 is only relevant for F-18.  LO 3.5 in F-17 does not yet have the relevant code, and LO 4.1 in F-19 already has the upstream fix mentioned in comment 14.)

Comment 17 Fedora Update System 2013-06-06 13:50:05 UTC
libreoffice-3.6.6.2-9.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libreoffice-3.6.6.2-9.fc18

Comment 18 Fedora Update System 2013-06-16 05:30:47 UTC
libreoffice-3.6.6.2-9.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.